| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iSaverFile Struct Reference

This interface represents a CS file to save to. More...

`#include <imap/saverfile.h>`

Inheritance diagram for iSaverFile:

[legend]
List of all members.

## Public Member Functions
virtual const char * | GetFile () const =0
| Get the file name of the saver file.
virtual int | GetFileType () const =0
| Get the type of the saver file.
virtual iObject * | QueryObject ()=0
| Get the iObject for this object.

## Detailed Description

This interface represents a CS file to save to.

Attach engine objects to this to save them to this file. This is useful to the saver to support saving to multiple files.

Definition at line 52 of file saverfile.h.

## Member Function Documentation

virtual const char* iSaverFile::GetFile | ( |  | ) | const`[pure virtual]`

Get the file name of the saver file.

Implemented in csSaverFile.

virtual int iSaverFile::GetFileType | ( |  | ) | const`[pure virtual]`

Get the type of the saver file.

Implemented in csSaverFile.

virtual iObject* iSaverFile::QueryObject | ( |  | ) | `[pure virtual]`

Get the iObject for this object.

Implemented in csSaverFile.

The documentation for this struct was generated from the following file:

- imap/saverfile.h